From: "Zac Medico" <zmedico@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/diff-cover/
Date: Mon, 1 Oct 2018 18:10:51 +0000 (UTC) [thread overview]
Message-ID: <1538417443.39cf4109c3cf9b47d5afa694d128323edbdbd090.zmedico@gentoo> (raw)
commit: 39cf4109c3cf9b47d5afa694d128323edbdbd090
Author: Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 1 17:55:51 2018 +0000
Commit: Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Mon Oct 1 18:10:43 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=39cf4109
dev-python/diff-cover: new package
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>
Package-Manager: Portage-2.3.50, Repoman-2.3.10
dev-python/diff-cover/Manifest | 1 +
dev-python/diff-cover/diff-cover-1.0.4.ebuild | 37 +++++++++++++++++++++++++++
dev-python/diff-cover/metadata.xml | 12 +++++++++
3 files changed, 50 insertions(+)
diff --git a/dev-python/diff-cover/Manifest b/dev-python/diff-cover/Manifest
new file mode 100644
index 00000000000..bf2d36b9153
--- /dev/null
+++ b/dev-python/diff-cover/Manifest
@@ -0,0 +1 @@
+DIST diff-cover-1.0.4.tar.gz 73907 BLAKE2B 81562c30533739f950e52703ce235b214f66932f806a47b1ab245b69bba8ef46d4333924ddf2ba4ca6b70a7df85ae071805a4fac7181711495f46540c4a20301 SHA512 aa5646c5d097e2b3ace5807bde007c9d8ebcf99578dee2aff1174aaafbdb9777c4794a8e9ddd4dc6edb5af7f1afc812fce4410db87d0bab4159f044489eabb5b
diff --git a/dev-python/diff-cover/diff-cover-1.0.4.ebuild b/dev-python/diff-cover/diff-cover-1.0.4.ebuild
new file mode 100644
index 00000000000..dfca39bedb1
--- /dev/null
+++ b/dev-python/diff-cover/diff-cover-1.0.4.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{4,5,6}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Automatically find diff lines that need test coverage"
+HOMEPAGE="https://github.com/Bachmann1234/diff-cover"
+SRC_URI="https://github.com/Bachmann1234/diff-cover/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.7.1[${PYTHON_USEDEP}]
+ dev-python/jinja2_pluralize[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/coverage[${PYTHON_USEDEP}]
+ dev-python/flake8[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ <dev-python/pycodestyle-2.4.0[${PYTHON_USEDEP}]
+ dev-python/pyflakes[${PYTHON_USEDEP}]
+ )"
+
+python_test() {
+ esetup.py test || die "tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/diff-cover/metadata.xml b/dev-python/diff-cover/metadata.xml
new file mode 100644
index 00000000000..f185cd57cab
--- /dev/null
+++ b/dev-python/diff-cover/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>zmedico@gentoo.org</email>
+ <name>Zac Medico</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">diff_cover</remote-id>
+ <remote-id type="github">Bachmann1234/diff-cover</remote-id>
+ </upstream>
+</pkgmetadata>
next reply other threads:[~2018-10-01 18:10 UTC|newest]
Thread overview: 5+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-10-01 18:10 Zac Medico [this message]
-- strict thread matches above, loose matches on Subject: below --
2019-07-16 1:13 [gentoo-commits] repo/gentoo:master commit in: dev-python/diff-cover/ Zac Medico
2020-01-26 20:38 Zac Medico
2020-10-12 18:36 Zac Medico
2020-11-18 0:43 Zac Medico
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1538417443.39cf4109c3cf9b47d5afa694d128323edbdbd090.zmedico@gentoo \
--to=zmedico@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox